add_library(
	OxOrganicClaw
		read.cpp
		write.cpp
)

if(NOT MSVC)
	target_compile_options(OxOrganicClaw PRIVATE -Wsign-conversion)
	target_compile_options(OxOrganicClaw PRIVATE -Wconversion)
endif()

target_link_libraries(
	OxOrganicClaw PUBLIC
		OxModel
		jsoncpp_object
)

target_include_directories(
	OxOrganicClaw PUBLIC
		${JSONCPP_INCLUDE_DIR}
)

set_property(
	TARGET
		OxOrganicClaw
	PROPERTY
		POSITION_INDEPENDENT_CODE ON
)

install(
	FILES
		oc.hpp
		read.hpp
		write.hpp
	DESTINATION
		include/ox/oc
)

install(TARGETS OxOrganicClaw
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
)

if(OX_RUN_TESTS)
	add_subdirectory(test)
endif()
